Commit 74d1da84 authored by Raphaël Hertzog's avatar Raphaël Hertzog
Browse files

Update default kernel flavours for armhf to match what's available with linux 3.12.

parent f35d560b
live-build (3.0.5-1kali3) kali; urgency=medium
* Update default kernel flavours for armhf to match what's available with
linux 3.12.
-- Raphaël Hertzog <hertzog@debian.org> Wed, 08 Jan 2014 23:08:17 +0100
live-build (3.0.5-1kali2) kali; urgency=medium live-build (3.0.5-1kali2) kali; urgency=medium
* Fix binary_debian-installer step to use linux-image-* metapackages * Fix binary_debian-installer step to use linux-image-* metapackages
......
Description: Update linux flavours for armhf
With newer kernels, only armmp armmp-lpae flavours are available. Kali
has linux 3.12 (or newer) and needs to use those instead.
Author: Raphaël Hertzog <hertzog@debian.org>
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -681,8 +681,8 @@ Set_defaults ()
armhf)
# armhf will have special images: one rootfs image and many additional kernel images.
- # therefore we default to all available armel flavours
- LB_LINUX_FLAVOURS="${LB_LINUX_FLAVOURS:-mx5 omap}"
+ # therefore we default to all available armhf flavours
+ LB_LINUX_FLAVOURS="${LB_LINUX_FLAVOURS:-armmp armmp-lpae}"
;;
amd64)
add-xfsprogs-jfsutils-to-d-i.patch add-xfsprogs-jfsutils-to-d-i.patch
fix-kernel-metapackages-used-in-di-step.patch fix-kernel-metapackages-used-in-di-step.patch
fix-default-armhf-kernel-flavours.patch
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment